Neat Paraskavedekatriaphobia's Meaning

    exoflex
    TypeScript icon, indicating that this package has built-in type declarations

    3.4.4 • Public • Published

    exoflex · npm

    This is a UI component library for React Native and Web (using react-native-web).

    Pre-requisites

    This library uses hooks so you need to use at least:

    • react version >= 16.8.0
    • react-native version >= 0.59.0

    This library also required you to use react-native-svg >= 9.3.3. But if you use Expo you could install it by running expo install react-native-svg.

    If you are not using Expo, you should install it by following this step.

    Exoflex includes automatic fonts loading using expo-font. If you want to opt-out and handle the font loading manually, use babel-plugin-optional-require.

    Installation

    To install this library, you could use npm or yarn:

    yarn add exoflex
    

    For bare React Native project, you also need to install react-native-vector-icons. For react-native<0.60.0, you need to link the library first.

    If you are using TypeScript, naviflex is built using TypeScript and we shipped it along with the .d.ts file, so you do not have to install @types/exoflex.

    Available Components

    To use this library, it's really advised that you use the Provider component to wrap your App.

    You can find all available components from links below:

    Keywords

    none

    Install

    npm i exoflex

    DownloadsWeekly Downloads

    39

    Version

    3.4.4

    License

    MIT

    Unpacked Size

    3.14 MB

    Total Files

    508

    Last publish

    Collaborators

    • sstur
    • oshimayoan